[Unit]
Description=Puma HTTP Server
After=network.target

# Uncomment for socket activation (see below)
# Requires=puma.socket

[Service]
# Foreground process (do not use --daemon in ExecStart or config.rb)
Type=simple

# Preferably configure a non-privileged user
# User=

# The path to the puma application root
# Also replace the "<WD>" place holders below with this path.
WorkingDirectory=/home/phuket/family_folder_app

# Helpful for debugging socket activation, etc.
Environment=RAILS_ENV=production
EnvironmentFile=

# The command to start Puma. This variant uses a binstub generated via
# `bundle binstubs puma --path ./sbin` in the WorkingDirectory
# (replace "<WD>" below)
ExecStart=/usr/local/rbenv/shims/puma -C /home/phuket/family_folder_app/config/puma.rb
ExecStop=/usr/local/rbev/shims/pumactl -S /home/phuket/family_folder_app/tmp/pids/puma.pid stop
PIDFile=/home/phuket/family_folder_app/tmp/pids/puma.pid

# Variant: Use config file with `bind` directives instead:
# ExecStart=<WD>/sbin/puma -C config.rb
# Variant: Use `bundle exec --keep-file-descriptors puma` instead of binstub

Restart=always

[Install]
WantedBy=multi-user.target